USELIB(2)

NAME
uselib - select shared library

SYNOPSIS
#include <unistd.h>

int uselib(const char *library);

DESCRIPTION
uselib selects the shared library binary that will be used by the calling process.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS
In addition to all of the error codes returned by open(2) and mmap(2), the following may also be returned:

EACCES
    The library specified by library is not readable, or the caller does not have search permission for one of the directories in the path prefix. (See also path_resolution(2).)

ENFILE
    The system limit on the total number of open files has been reached.

ENOEXEC
    The file specified by library is not executable, or does not have the correct magic numbers.

CONFORMING TO
uselib() is Linux specific, and should not be used in programs intended to be portable.

SEE ALSO
ar(1), gcc(1), ld(1), ldd(1), mmap(2), open(2), capability(7), ld.so(8)